Bug 43333 - Messed up "Asynchronous writes" (sendfile) documentation
Messed up "Asynchronous writes" (sendfile) documentation
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Documentation
unspecified
Other other
: P2 minor (vote)
: default
Assigned To: Tomcat Developers Mailing List
http://tomcat.apache.org/tomcat-6.0-d...
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-09-09 01:55 UTC by Bartek Jablonski
Modified: 2014-02-17 13:56 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Jablonski 2007-09-09 01:55:47 UTC
Documentation states, that to use tomcat sendfile functionality, developer needs
to set _response_ attributes but its _request_ attributes, that must be set.

Also attribute for end offset is wrong - should it be
"org.apache.tomcat.sendfile.end"?

I think that it would be good to mention, that its necessery to set proper
response content length header.
Comment 1 Mark Thomas 2008-05-01 14:19:47 UTC
The changes have been committed to trunk and proposed for 6.0.x
Comment 2 Mark Thomas 2008-05-15 10:54:57 UTC
This has been fixed in 6.0.x and will be included in 6.0.17 onwards.

Thanks for the report.